Subject: Re: bug#55387: 28.1.50; csv-mode: header does not align when line numbers are displayed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 19:01:23 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 May 2022 17:52:11 +0200
> 
> I don't really understand your point here, so I'm probably
> misunderstanding something fundamental.  My thought was just that the
> thing that produces the line number would set a
> line-number-width/columns variable.

There's no such variable.  line-number-display-width is a function, it
computes the result anew when called.

> > Btw, isn't it true that the problem is not in displaying the
> > header-line, but in adjusting the alignment of the _body_ of the table
> > to the changes in header-line (which happen automatically)?  In which
> > case how will header-line construct help?
> 
> The header line isn't adjusted automatically by display-line-number-mode.

Does the problem happen only when display-line-number-mode is turned
on or off?  Or does it happen on other occasions, and if so, which
ones?

And what triggers recalculation of the header-line-format in this
mode?  That trigger is different between different users of modes like
this one, so coming up with a one-fits-all solution is not easy, if at
all possible.